using System.Collections.Generic;

namespace Fuseren
{
    public interface IGraph
    {
        IEnumerable<INode> Nodes { get; }
        IEnumerable<IEdge> Edges { get; }

        void AddNode(INode node);
        void RemoveNode(INode node);
        void AddEdge(IEdge edge);
    }

    public interface IEdge {}

    public interface INode {}
}